\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Planar Parameterization of Triangulated Surface Meshes

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
Main Function
Triangulated Surface Mesh Parameterization Reference

##

## Functions
template<class ParameterizationMesh_3 >
Parameterizer_traits_3 < ParameterizationMesh_3 > ::Error_code | CGAL::parameterize (ParameterizationMesh_3 &mesh)
| Compute a one-to-one mapping from a 3D triangle surface `mesh` to a 2D circle, using Floater Mean Value Coordinates algorithm. More...
template<class ParameterizationMesh_3 , class ParameterizerTraits_3 >
Parameterizer_traits_3 < ParameterizationMesh_3 > ::Error_code | CGAL::parameterize (ParameterizationMesh_3 &mesh, ParameterizerTraits_3 parameterizer)
| Compute a one-to-one mapping from a 3D triangle surface `mesh` to a simple 2D domain. More...

## Function Documentation

template<class ParameterizationMesh_3 >

Parameterizer_traits_3<ParameterizationMesh_3>::Error_code CGAL::parameterize | ( | ParameterizationMesh_3 & | mesh) |  |

Compute a one-to-one mapping from a 3D triangle surface `mesh` to a 2D circle, using Floater Mean Value Coordinates algorithm.

A one-to-one mapping is guaranteed.

The mapping is piecewise linear on the input mesh triangles. The result is a (u,v) pair of parameter coordinates for each vertex of the input mesh.

Precondition
  `mesh` must be a surface with one connected component.
  `mesh` must be a triangular mesh.

Parameters

  mesh | 3D mesh, model of ParameterizationMesh_3 concept

`#include <CGAL/parameterize.h>`

Examples:
  Surface_mesh_parameterization/Complete_parameterization_example.cpp, Surface_mesh_parameterization/Mesh_cutting_parameterization.cpp, Surface_mesh_parameterization/polyhedron_ex_parameterization.cpp, and Surface_mesh_parameterization/Simple_parameterization.cpp.

template<class ParameterizationMesh_3 , class ParameterizerTraits_3 >

Parameterizer_traits_3<ParameterizationMesh_3>::Error_code CGAL::parameterize | ( | ParameterizationMesh_3 & | mesh,
|  | ParameterizerTraits_3 | parameterizer
| ) |  |

Compute a one-to-one mapping from a 3D triangle surface `mesh` to a simple 2D domain.

The mapping is piecewise linear on the triangle mesh. The result is a pair (u,v) of parameter coordinates for each vertex of the input mesh.

One-to-one mapping may be guaranteed or not, depending on the chosen ParametizerTraits_3 algorithm.

Precondition
  `mesh` must be a surface with one connected component.
  `mesh` must be a triangular mesh.
  The mesh border must be mapped onto a convex polygon (for fixed border parameterizations).

Parameters

  mesh | 3D mesh, model of ParameterizationMesh_3
  parameterizer | Parameterization method for `mesh`

`#include <CGAL/parameterize.h>`